# requiring the environment of Ruby 2.3.x
image: ruby:2.7
 # add bundle cache to 'vendor' for speeding up builds
cache:
  paths:
    - vendor/
before_script:
  - bundle install --path vendor
 # the 'pages' job will deploy and build your site to the 'public' path
pages:
  stage: deploy
  script:
    - gem install bundler
    - bundle install
    - bundle exec jekyll build -d public/
  artifacts:
    paths:
      - public
  only:
    - main # this job will affect only the 'master' branch